#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QtGui/QPaintEvent>
#include <QTimer>
#include <qgraphicsview.h>
#include <QPainter>


//определения для соединения
#define _ipaddr "127.0.0.1" //"192.168.0.129"
#define _ipport "8990"

//
#define _pconnx 230
#define _pconny 30
#define _pinfox 45
#define _pinfoy 45


namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
    void Layer0(void);
    bool    connected;
    int     Tmark;
    uchar   lay0[640][480];
    
private slots:
    void paintEvent(QPaintEvent *event);
    void on_pushButton_clicked();
    void Vals();

private:
    QTimer          *tmr;
    Ui::MainWindow  *ui;
    QGraphicsScene  *scene;
    QGraphicsView   *gView;
    QPixmap         *pix;
    QPainter        *paint;
};

#endif // MAINWINDOW_H
